Bump Branch Version Info to 2.0b1

RESOLVED FIXED in Thunderbird2.0

Status

Thunderbird
Build Config
RESOLVED FIXED
11 years ago
11 years ago

People

(Reporter: Scott MacGregor, Assigned: Scott MacGregor)

Tracking

({fixed1.8.1})

Thunderbird2.0
x86
Windows XP
fixed1.8.1

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(5 attachments)

(Assignee)

Description

11 years ago
The Thunderbird alpha has been out for a while now, we should start thinking about bumping the branch version to 2.0b1 for beta 1. When I do this I'll also have to tweak a setting o the build machines (cc'ing preed and rhelmer to keep them in the loop).

This will also impact extensions.

Comment 1

11 years ago
Scott:

If we could coordinate and do the version bump ourselves, that'd probably be best.

We ran into this problem with Firefox 2, where the version number was bumped, and that impact rippled throughout the build system. The version change also needs to be made a bunch of other places (other than just the CVS tree).

Let us know what you think, and feel free to reassign this to us, and let us know when we should bump it.
AMO already has a 2.0b1 for Tb, so it's good to go.

Comment 3

11 years ago
Created attachment 238112 [details] [diff] [review]
Patch to bump the thunderbird version to 2.0b1pre in the tree.

Apply to MOZILLA_1_8_BRANCH.
Attachment #238112 - Flags: review?

Updated

11 years ago
Attachment #238112 - Flags: review? → review?(preed)

Comment 4

11 years ago
Created attachment 238113 [details] [diff] [review]
Patch to have thunderbird tinderboxes pull version from version.txt.

Apply to the MOZILLA_1_8_BRANCH of tinderbox-configs.
Attachment #238113 - Flags: review?(preed)

Comment 5

11 years ago
Created attachment 238114 [details] [diff] [review]
Patch to have thunderbird l10n tinderboxes pull version from version.txt

Apply to MOZILLA_1_8_BRANCH_l10n of tinderbox-configs.
Attachment #238114 - Flags: review?(preed)
(Assignee)

Comment 6

11 years ago
Created attachment 238116 [details] [diff] [review]
complimentary patch to TR's work to fix about dialog and installer dialgos

This patch fixes the about dialog to say beta 1 and the installer dialog to say Beta 1.

It's a complimentary patch to the cool work TR is doing for this bug.

Comment 7

11 years ago
Comment on attachment 238114 [details] [diff] [review]
Patch to have thunderbird l10n tinderboxes pull version from version.txt

Looks good. r=preed
Attachment #238114 - Flags: review?(preed) → review+

Comment 8

11 years ago
Comment on attachment 238113 [details] [diff] [review]
Patch to have thunderbird tinderboxes pull version from version.txt.

This too; r=preed
Attachment #238113 - Flags: review?(preed) → review+

Comment 9

11 years ago
Comment on attachment 238112 [details] [diff] [review]
Patch to bump the thunderbird version to 2.0b1pre in the tree.

Looks good; mscott: can you review?

r=preed
Attachment #238112 - Flags: superreview?(mscott)
Attachment #238112 - Flags: review?(preed)
Attachment #238112 - Flags: review+
(Assignee)

Comment 10

11 years ago
Comment on attachment 238112 [details] [diff] [review]
Patch to bump the thunderbird version to 2.0b1pre in the tree.

thanks a lot TR.
Attachment #238112 - Flags: superreview?(mscott) → superreview+
(Assignee)

Comment 11

11 years ago
I've checked in the patch for the about dialog and the installer.
We've got the other patches in; should be good to go; resolved/fixed?
(Assignee)

Comment 13

11 years ago
excellent. Thanks Team Release!
Status: NEW → RESOLVED
Last Resolved: 11 years ago
Keywords: fixed1.8.1
Resolution: --- → FIXED
Reopening - AUS needs patching to support the 2.0b1pre version for nightly updates.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Created attachment 238227 [details] [diff] [review]
Add 2.0b1pre and 2.0b2pre to table for mapping nightly versions to update data
Attachment #238227 - Flags: review?(morgamic)
Attachment #238227 - Flags: review?(morgamic) → review+
Hey guys -- I missed the 'pre' stuff yesterday for AUS.  We've got an IT request pending to update prod to have these versions (2.0b1pre and 2.0b2pre) as cf mentioned.  See bug 352564.  Should be pushed through shortly.

Nick, thanks for the patch. <3
Depends on: 352564
AUS has been updated to have the 2.0b1pre and 2.0b2pre versions.
Status: REOPENED → RESOLVED
Last Resolved: 11 years ago11 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.